Created by rockyl on 2018/11/9.

装饰器

## Index

### Variables

- dirtyFieldDetector
- dirtyFieldTrigger

### Functions

- fieldChanged

## Variables

### Const dirtyFieldDetector

dirtyFieldDetector: (Anonymous function) = fieldChanged(function (value, key, oldValue) {this['dirty'] = true;})

- Defined in tools/decorators.ts:33

属性变脏时设置宿主的dirty属性为true

### Const dirtyFieldTrigger

dirtyFieldTrigger: (Anonymous function) = fieldChanged(function (value, key, oldValue) {this['onModify'] && this['onModify'](value, key, oldValue);})

- Defined in tools/decorators.ts:42

属性变脏时触发onModify方法

## Functions

### fieldChanged

- fieldChanged(onChange: any): (Anonymous function)

- - Defined in tools/decorators.ts:11

  属性修改时触发

  #### Parameters

  - ##### onChange: any

  #### Returns (Anonymous function)

Generated using TypeDoc